#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
    int n, m, a[10000];
    cin>>n>>m;
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    int ofarbane[10000]={0}, neofarbane[10000];
    for(int i=0; i<m; i++)
    {
        neofarbane[i]=n;
    }
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<a[i]; j++)
        {
            ofarbane[j]++;
            neofarbane[j]--;
        }
    }
    int levo=0;
    for(int i=0; i<m; i++)
    {
        levo+=ofarbane[i]*neofarbane[i];
        ofarbane[i]=0;
        neofarbane[i]=n;
    }
    for(int i=0; i<n; i++)
    {
        for(int j=a[i]; j<m; j++)
        {
            ofarbane[j]++;
            neofarbane[j]--;
        }
    }
    int desno=0;
    for(int i=0; i<m; i++)
    {
        desno+=ofarbane[i]*neofarbane[i];
    }
    cout<<min(desno, levo);
    return 0;
}